<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_PaymentPaypal
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * @var Ecart_Install_Model_Installer
 */
$installer = Ecart::single('install/installer');

$installer->startSetup();

$installer->run("

DROP TABLE IF EXISTS `{$installer->getTable('payment_paypal_standart_order')}`;

");

Ecart::single('core/config_value')->remove('payment/Paypal_Standart');
Ecart::single('core/config_field')->remove('payment/Paypal_Standart');    
Ecart::single('core/config_value')->remove('payment/Paypal_Direct');
Ecart::single('core/config_field')->remove('payment/Paypal_Direct');    
Ecart::single('core/config_value')->remove('payment/Paypal_Express');
Ecart::single('core/config_field')->remove('payment/Paypal_Express');
Ecart::single('core/config_value')->remove('payment/payflow');
Ecart::single('core/config_field')->remove('payment/payflow');
Ecart::single('core/config_value')->remove('payment/nvp');
Ecart::single('core/config_field')->remove('payment/nvp');

//Ecart::single('core/template_box')->remove('Ecart_PaymentPaypal_ExpressButton');

$installer->unregisterModule('Ecart_PaymentPaypal');

$installer->endSetup();