/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */
$(document).ready(function(){
    $('#country_id').change(function() {
         var country_id = this.value;
        var zoneOptions = $('#zone_id').get(0).options;
        while (zoneOptions.length) {
            zoneOptions[zoneOptions.length - 1] = null;     
        }
        
        if (Zones[country_id])
        for (var zoneId in Zones[country_id]) {
            zoneOptions[zoneOptions.length] = new Option(Zones[country_id][zoneId], zoneId);
        }
    });
});

function form_send()
{
    $('#form_submit').attr('disabled', 'true')
    $.ajax({
        type: "POST",
        url : Ecart.baseUrl + Ecart.langUrl + '/account/address-book/save',
        data : $('#form-new-address').serialize(),
        dataType: 'json',
        success: function(response) {
            $('#form_submit').removeAttr('disabled');
            $("#form-new-address input").removeClass('error');
            $('div.error').remove();
            if (true === response) {
                document.location.href = Ecart.baseUrl + Ecart.langUrl + '/account/address-book';
            } else {
                for (var i in response) {
                    var messages = response[i];
                    var message = "";
                    $('#' + i).addClass('error');
                    for (var j in messages)
                        message += messages[j] + '<br />';
                    $('#' + i).after('<div class="error">' + message + '</div>');
                }
            }
        }
    });
}